import { NgModule } from '@angular/core';
import { CommonModule, NgFor } from '@angular/common';

import { FeedRoutingModule } from './feed-routing.module';
import { FeedComponent } from './feed.component';
import { TopMenuComponent } from '../shared/top-menu/top-menu.component';
import { SideMenuComponent } from '../shared/side-menu/side-menu.component';
import { PostComponent } from '../shared/views/post/post.component';
import { MatSidenavModule } from '@angular/material/sidenav';

@NgModule({
  declarations: [
    FeedComponent
  ],
  imports: [
    CommonModule,
    FeedRoutingModule,
    TopMenuComponent,
    SideMenuComponent,
    PostComponent,
    NgFor,
    MatSidenavModule
  ]
})
export class FeedModule { }
